package com.ruoyi.project.plant.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.plant.mapper.TAwardrecordMapper;
import com.ruoyi.project.plant.domain.TAwardrecord;
import com.ruoyi.project.plant.service.ITAwardrecordService;

import javax.annotation.Resource;

/**
 * 人员嘉奖记录Service业务层处理
 *
 * @date 2020-12-08
 */
@Service
public class TAwardrecordServiceImpl implements ITAwardrecordService
{
    @Resource
    private TAwardrecordMapper tAwardrecordMapper;

    /**
     * 查询人员嘉奖记录
     *
     * @param id 人员嘉奖记录ID
     * @return 人员嘉奖记录
     */
    @Override
    public TAwardrecord selectTAwardrecordById(Long id)
    {
        return tAwardrecordMapper.selectTAwardrecordById(id);
    }

    /**
     * 查询人员嘉奖记录列表
     *
     * @param tAwardrecord 人员嘉奖记录
     * @return 人员嘉奖记录
     */
    @Override
    public List<TAwardrecord> selectTAwardrecordList(TAwardrecord tAwardrecord)
    {
        return tAwardrecordMapper.selectTAwardrecordList(tAwardrecord);
    }

    /**
     * 新增人员嘉奖记录
     *
     * @param tAwardrecord 人员嘉奖记录
     * @return 结果
     */
    @Override
    public int insertTAwardrecord(TAwardrecord tAwardrecord)
    {
        return tAwardrecordMapper.insertTAwardrecord(tAwardrecord);
    }

    /**
     * 修改人员嘉奖记录
     *
     * @param tAwardrecord 人员嘉奖记录
     * @return 结果
     */
    @Override
    public int updateTAwardrecord(TAwardrecord tAwardrecord)
    {
        return tAwardrecordMapper.updateTAwardrecord(tAwardrecord);
    }

    /**
     * 批量删除人员嘉奖记录
     *
     * @param ids 需要删除的人员嘉奖记录ID
     * @return 结果
     */
    @Override
    public int deleteTAwardrecordByIds(Long[] ids)
    {
        return tAwardrecordMapper.deleteTAwardrecordByIds(ids);
    }

    /**
     * 删除人员嘉奖记录信息
     *
     * @param id 人员嘉奖记录ID
     * @return 结果
     */
    @Override
    public int deleteTAwardrecordById(Long id)
    {
        return tAwardrecordMapper.deleteTAwardrecordById(id);
    }
}
